module Testcloud
  module Devices
    module Ruby
      module VERSION

        def self.gem_version
          @gem_version ||= Gem::Version.new(STRING)
        end

        MAJOR = 0
        MINOR = 0
        PATCH = 0
        PRE   = 7
        STRING = [MAJOR, MINOR, PATCH, PRE].compact.join('.').freeze
      end

      class << self
        def version
          VERSION::STRING
        end
        def gem_version
          VERSION.gem_version
        end
      end

    end
  end
end
